package com.pcloud.book.book.dao;

import com.pcloud.book.book.entity.KeywordUseRecord;
import com.pcloud.common.core.dao.BaseDao;

public interface KeywordUseRecordDao extends BaseDao<KeywordUseRecord> {

    int insertSelective(KeywordUseRecord record);

    KeywordUseRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(KeywordUseRecord record);

    int updateByPrimaryKey(KeywordUseRecord record);

    KeywordUseRecord getByAdviserIdAndKeywordId(Long adviserId, Long keywordId);

    void addOne(Long adviserId, Long id);
}